package com.yanzhu.jh.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 实测实量对象 sur_project_measure
 * 
 * @author JiangYuQi
 * @date 2023-08-22
 */
public class SurProjectMeasure extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 测量主图 */
    @Excel(name = "测量主图")
    private String mainImage;

    /** 图片集合 */
    @Excel(name = "图片集合")
    private String imageUrls;

    /** 测量类型 */
    @Excel(name = "测量类型")
    private String measureType;

    /** 测量部位 */
    @Excel(name = "测量部位")
    private String measurePosition;

    /** 测量内容 */
    @Excel(name = "测量内容")
    private String measureInfo;

    /** 测量时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "测量时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date measureTime;

    /** 测量点位 */
    @Excel(name = "测量点位")
    private String measurePointPosition;

    /** 测量结果 */
    @Excel(name = "测量结果")
    private String measureResult;

    /** 测量文件 */
    @Excel(name = "测量文件")
    private String measureFiles;

    /** 质量专员 */
    @Excel(name = "质量专员")
    private String qualityUser;

    /** 质量专员名称 */
    @Excel(name = "质量专员名称")
    private String qualityUserName;

    /** 监理专员 */
    @Excel(name = "监理专员")
    private String superviseUser;

    /** 监理专员名称 */
    @Excel(name = "监理专员名称")
    private String superviseUserName;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    private String projectName;
    private String deptName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setMainImage(String mainImage) 
    {
        this.mainImage = mainImage;
    }

    public String getMainImage() 
    {
        return mainImage;
    }
    public void setImageUrls(String imageUrls) 
    {
        this.imageUrls = imageUrls;
    }

    public String getImageUrls() 
    {
        return imageUrls;
    }
    public void setMeasureType(String measureType) 
    {
        this.measureType = measureType;
    }

    public String getMeasureType() 
    {
        return measureType;
    }
    public void setMeasurePosition(String measurePosition) 
    {
        this.measurePosition = measurePosition;
    }

    public String getMeasurePosition() 
    {
        return measurePosition;
    }
    public void setMeasureInfo(String measureInfo) 
    {
        this.measureInfo = measureInfo;
    }

    public String getMeasureInfo() 
    {
        return measureInfo;
    }
    public void setMeasureTime(Date measureTime) 
    {
        this.measureTime = measureTime;
    }

    public Date getMeasureTime() 
    {
        return measureTime;
    }
    public void setMeasurePointPosition(String measurePointPosition) 
    {
        this.measurePointPosition = measurePointPosition;
    }

    public String getMeasurePointPosition() 
    {
        return measurePointPosition;
    }
    public void setMeasureResult(String measureResult) 
    {
        this.measureResult = measureResult;
    }

    public String getMeasureResult() 
    {
        return measureResult;
    }
    public void setMeasureFiles(String measureFiles) 
    {
        this.measureFiles = measureFiles;
    }

    public String getMeasureFiles() 
    {
        return measureFiles;
    }
    public void setQualityUser(String qualityUser) 
    {
        this.qualityUser = qualityUser;
    }

    public String getQualityUser() 
    {
        return qualityUser;
    }
    public void setQualityUserName(String qualityUserName) 
    {
        this.qualityUserName = qualityUserName;
    }

    public String getQualityUserName() 
    {
        return qualityUserName;
    }
    public void setSuperviseUser(String superviseUser) 
    {
        this.superviseUser = superviseUser;
    }

    public String getSuperviseUser() 
    {
        return superviseUser;
    }
    public void setSuperviseUserName(String superviseUserName) 
    {
        this.superviseUserName = superviseUserName;
    }

    public String getSuperviseUserName() 
    {
        return superviseUserName;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("mainImage", getMainImage())
            .append("imageUrls", getImageUrls())
            .append("measureType", getMeasureType())
            .append("measurePosition", getMeasurePosition())
            .append("measureInfo", getMeasureInfo())
            .append("measureTime", getMeasureTime())
            .append("measurePointPosition", getMeasurePointPosition())
            .append("measureResult", getMeasureResult())
            .append("measureFiles", getMeasureFiles())
            .append("qualityUser", getQualityUser())
            .append("qualityUserName", getQualityUserName())
            .append("superviseUser", getSuperviseUser())
            .append("superviseUserName", getSuperviseUserName())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
